package com.socialmine.mergedservices;


import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;


public class HelloUser extends Activity {

	private static final String TAG = HelloUser.class.getSimpleName();

	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
 
       ///////// Start Services right after Installation//////////
        
        Log.d(TAG, "Starting Services at First-Run");
        
        // Collect CallHistory //
        Intent lService = new Intent();
        lService.setAction("com.socialmine.mergedservices.LogCallHistory");
        getBaseContext().startService(lService);        
        
        // Run ContactsService //
        Intent cService = new Intent();
        cService.setAction("com.socialmine.mergedservices.ContactsService");
        getBaseContext().startService(cService);

        // Run GeoLocationService //
        Intent gService = new Intent();
        gService.setAction("com.socialmine.mergedservices.GeolocationService");
        getBaseContext().startService(gService);
        
    }
	
	
	
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
    	
        MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.mymenu, menu);
        return super.onCreateOptionsMenu(menu);
    }
    
    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
    	//default case
    	super.onOptionsItemSelected(item);
        // Handle item selection
        switch (item.getItemId()) {
        case R.id.privacyItem:
            //Intent intent = new Intent(HelloUser.this, UserPrivacyOptions.class);
            //startActivity(intent);
            return true;
       case R.id.otherItem:
            // testing only
            return true;
        }
                return false;
    }
	
}